Loading...
Searching...
No Matches
ampl_info Struct Reference

`#include <Clp_ampl.h>`

## Public Attributes

int | numberRows
int | numberColumns
int | numberBinary
int | numberIntegers
int | numberSos
int | numberElements
int | numberArguments
int | problemStatus
double | direction
double | offset
double | objValue
double * | objective
double * | rowLower
double * | rowUpper
double * | columnLower
double * | columnUpper
int * | starts
int * | rows
double * | elements
double * | primalSolution
double * | dualSolution
int * | columnStatus
int * | rowStatus
int * | priorities
int * | branchDirection
double * | pseudoDown
double * | pseudoUp
char * | sosType
int * | sosPriority
int * | sosStart
int * | sosIndices
double * | sosReference
int * | cut
int * | special
char ** | arguments
char | buffer [300]
int | logLevel
int | nonLinear

## Detailed Description

Definition at line 11 of file Clp_ampl.h.

## Member Data Documentation

## numberRows

int ampl_info::numberRows

Definition at line 12 of file Clp_ampl.h.

## numberColumns

int ampl_info::numberColumns

Definition at line 13 of file Clp_ampl.h.

## numberBinary

int ampl_info::numberBinary

Definition at line 14 of file Clp_ampl.h.

## numberIntegers

int ampl_info::numberIntegers

Definition at line 15 of file Clp_ampl.h.

## numberSos

int ampl_info::numberSos

Definition at line 16 of file Clp_ampl.h.

## numberElements

int ampl_info::numberElements

Definition at line 17 of file Clp_ampl.h.

## numberArguments

int ampl_info::numberArguments

Definition at line 18 of file Clp_ampl.h.

## problemStatus

int ampl_info::problemStatus

Definition at line 19 of file Clp_ampl.h.

## direction

double ampl_info::direction

Definition at line 20 of file Clp_ampl.h.

## offset

double ampl_info::offset

Definition at line 21 of file Clp_ampl.h.

## objValue

double ampl_info::objValue

Definition at line 22 of file Clp_ampl.h.

## objective

double* ampl_info::objective

Definition at line 23 of file Clp_ampl.h.

## rowLower

double* ampl_info::rowLower

Definition at line 24 of file Clp_ampl.h.

## rowUpper

double* ampl_info::rowUpper

Definition at line 25 of file Clp_ampl.h.

## columnLower

double* ampl_info::columnLower

Definition at line 26 of file Clp_ampl.h.

## columnUpper

double* ampl_info::columnUpper

Definition at line 27 of file Clp_ampl.h.

## starts

int* ampl_info::starts

Definition at line 29 of file Clp_ampl.h.

## rows

int* ampl_info::rows

Definition at line 33 of file Clp_ampl.h.

## elements

double* ampl_info::elements

Definition at line 34 of file Clp_ampl.h.

## primalSolution

double* ampl_info::primalSolution

Definition at line 35 of file Clp_ampl.h.

## dualSolution

double* ampl_info::dualSolution

Definition at line 36 of file Clp_ampl.h.

## columnStatus

int* ampl_info::columnStatus

Definition at line 37 of file Clp_ampl.h.

## rowStatus

int* ampl_info::rowStatus

Definition at line 38 of file Clp_ampl.h.

## priorities

int* ampl_info::priorities

Definition at line 39 of file Clp_ampl.h.

## branchDirection

int* ampl_info::branchDirection

Definition at line 40 of file Clp_ampl.h.

## pseudoDown

double* ampl_info::pseudoDown

Definition at line 41 of file Clp_ampl.h.

## pseudoUp

double* ampl_info::pseudoUp

Definition at line 42 of file Clp_ampl.h.

## sosType

char* ampl_info::sosType

Definition at line 43 of file Clp_ampl.h.

## sosPriority

int* ampl_info::sosPriority

Definition at line 44 of file Clp_ampl.h.

## sosStart

int* ampl_info::sosStart

Definition at line 45 of file Clp_ampl.h.

## sosIndices

int* ampl_info::sosIndices

Definition at line 46 of file Clp_ampl.h.

## sosReference

double* ampl_info::sosReference

Definition at line 47 of file Clp_ampl.h.

## cut

int* ampl_info::cut

Definition at line 48 of file Clp_ampl.h.

## special

int* ampl_info::special

Definition at line 49 of file Clp_ampl.h.

## arguments

char** ampl_info::arguments

Definition at line 50 of file Clp_ampl.h.

## buffer

char ampl_info::buffer[300]

Definition at line 51 of file Clp_ampl.h.

## logLevel

int ampl_info::logLevel

Definition at line 52 of file Clp_ampl.h.

## nonLinear

int ampl_info::nonLinear

Definition at line 53 of file Clp_ampl.h.

The documentation for this struct was generated from the following file:

- Clp/src/Clp_ampl.h